#pragma once

class QueueConfig
{
public:
	QueueConfig();

	void get(stream_writer* writer, abort_callback& abort = fb2k::noAbort) const;
	void reset();
	void set(stream_reader* reader, size_t size, abort_callback& abort = fb2k::noAbort);

	static constexpr std::string_view item_tf_default = "%artist% - %title%";
	static constexpr std::string_view sort_by_default = "%album artist%|%date%|%album%|%discnumber%|%tracknumber%|%title%";
	static constexpr uint32_t config_version = 3U;

	bool shade_alternate_rows = true;
	pfc::string8 item_tf, sort_by;
};
